OpenVDB: VolumeKernelBuffer Struct Reference

OpenVDB 10.0.1

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
VolumeKernelBuffer Struct Reference

The second volume kernel, responsible for providing the core layer of SIMD optimisations by invoking this kernel across a range of values. More...

`#include <openvdb_ax/codegen/VolumeComputeGenerator.h>`

## Public Types
using | Signature = void(const void *const, const int32_t(*)[3], void *, uint64_t *, int64_t, uint64_t, void **, const void *const *, int64_t)
using | FunctionTraitsT = codegen::FunctionTraits< Signature >

## Static Public Member Functions
static const std::array< std::string, N_ARGS > & | argumentKeys ()
static const char * | getDefaultName ()

## Static Public Attributes
static const size_t | N_ARGS = FunctionTraitsT::N_ARGS

## Detailed Description

The second volume kernel, responsible for providing the core layer of SIMD optimisations by invoking this kernel across a range of values.

argument structure is as follows: 1) - A void pointer to the ax::CustomData 2) - A pointer to an array of three ints representing the current voxel coord being accessed 3) - A void pointer to the current value buffer 4) - A uint64_t pointer to the active word buffer 5) - The active state execution mode 6) - A void pointer to a vector of void pointers, representing an array of grid accessors 7) - A void pointer to a vector of void pointers, representing an array of grid transforms 8) - The index of currently executing volume in the list of write accessible volumes.

## Member Typedef Documentation

## ◆ FunctionTraitsT

using FunctionTraitsT = codegen::FunctionTraits<Signature>

## ◆ Signature

using Signature = void(const void* const, const int32_t (*)[3], void*, uint64_t*, int64_t, uint64_t, void**, const void* const*, int64_t)

## Member Function Documentation

## ◆ argumentKeys()

static const std::array< std::string, N_ARGS > & argumentKeys | ( |  | ) |
| static

## ◆ getDefaultName()

static const char * getDefaultName | ( |  | ) |
| static

## Member Data Documentation

## ◆ N_ARGS

const size_t N_ARGS = FunctionTraitsT::N_ARGS
| static